package jtexpress

type EstimateFeeLocation struct {
	Prov string `json:"prov"`
	City string `json:"city"`
	Area string `json:"area"`
}

type EstimateFeeReq struct {
	Cusname     string              `json:"cusname"` // = customerid
	SelfAddress int                 `json:"selfAddress"`
	ProductType string              `json:"producttype"`
	GoodsValue  string              `json:"goodsvalue"`
	ItemsValue  string              `json:"itemsvalue"`
	Weight      string              `json:"weight"`
	Sender      EstimateFeeLocation `json:"sender"`
	Receiver    EstimateFeeLocation `json:"receiver"`
	Decs        string              `json:"decs"`
	FeeType     string              `json:"feetype"`
}

type CreateOrderReq struct {
	Eccompanyid     string              `json:"eccompanyid"`
	Customerid      string              `json:"customerid"`
	Txlogisticid    string              `json:"txlogisticid"`
	Ordertype       int                 `json:"ordertype"`
	Servicetype     int                 `json:"servicetype"`
	SelfAddress     int                 `json:"selfAddress"`
	Special         string              `json:"special"`
	Partsign        string              `json:"partsign"`
	Sender          CreateOrderLocation `json:"sender"`
	Receiver        CreateOrderLocation `json:"receiver"`
	Createordertime string              `json:"createordertime"`
	Sendstarttime   string              `json:"sendstarttime"`
	Sendendtime     string              `json:"sendendtime"`
	Paytype         string              `json:"paytype"`
	Itemsvalue      string              `json:"itemsvalue"`
	Goodsvalue      string              `json:"goodsvalue"`
	IsInsured       string              `json:"isInsured"`
	Items           []OrderItem         `json:"items"`
	Weight          string              `json:"weight"`
	Volume          string              `json:"volume"`
	Remark          string              `json:"remark"`
}

type CreateOrderLocation struct {
	Name    string `json:"name"`
	Phone   string `json:"phone"`
	Mobile  string `json:"mobile"`
	Prov    string `json:"prov"`
	City    string `json:"city"`
	Area    string `json:"area"`
	Address string `json:"address"`
}

type OrderItem struct {
	Itemname    string `json:"itemname"`
	EnglishName string `json:"englishName"`
	Number      string `json:"number"`
	Itemvalue   string `json:"itemvalue"`
	Desc        string `json:"desc"`
}

type CancelOrderReq struct {
	Eccompanyid        string                 `json:"eccompanyid"`
	Customerid         string                 `json:"customerid"`
	Logisticproviderid string                 `json:"logisticproviderid"`
	Fieldlist          []CancelOrderFieldList `json:"fieldlist"`
}

type CancelOrderFieldList struct {
	Txlogisticid string `json:"txlogisticid"`
	Fieldname    string `json:"fieldname"`
	Fieldvalue   string `json:"fieldvalue"`
	Remark       string `json:"remark"`
}
