package onpoint

const (
	PaymentMethodCOD          = "cod"
	PaymentMethodBankTransfer = "bank_transfer"
	PaymentMethodWallet       = "wallet"
	PaymentMethodFundiin      = "fundiin"
)

const (
	CodeSuccess = "SUCCESS"

	TimeLayout = "2006-01-02T15:04:05Z"
)

const (
	baseURLStaging = "https://dev-selly-api.onpoint.vn"
	baseURLProd    = "https://selly-api.onpoint.vn"

	apiPathCreateOrder    = "/v1/orders/create"
	apiPathUpdateDelivery = "/v1/orders/update_delivery"
	apiPathCancelOrder    = "/v1/orders/cancel"
	apiPathGetChannels    = "/v1/channels"
	apiPathGetInventories = "/v1/inventories"

	headerXAPIKey    = "x-api-key"
	headerXTimestamp = "x-timestamp"
	headerXSignature = "x-signature"

	webhookEventUpdateOrderStatus = "UPDATE_ORDER_STATUS"
	webhookEventUpdateInventory   = "UPDATE_INVENTORY"
)

var (
	baseURLENVMapping = map[ENV]string{
		EnvProd:    baseURLProd,
		EnvStaging: baseURLStaging,
	}
)
